
/**
 * Die Klasse CaersarChiffre bietet mit der main-Methode die
 * Mglichkeit einen Verschiebungsschlssel und einen zu verschlsselnden
 * Text als Parameter zu bergeben, der dann mit der Methode crypt
 * verschlsselt und ausgegeben wird.
 * 
 * @author (Tobias Hennchen) 
 * @version (2007.05.13)
 */
public class CaesarChiffre
{
    /**
     * 
     * Die main-Methode erwartet einen Array von 2 Worten. Das Erste ist der Verschiebungsschlssel.
     * Das Zweite ist der zu verschlsselnde Text.
     * 
     * @param args  String Array in dem das erste Wort eine Zahl und das zweite Wort ein Text ist.
     */
    public static void main(String[] args) {
        // Schluessel in int umwandeln
        int key = Integer.parseInt(args[0]);
    
        // Text in Grossbuchstaben umwandeln
        String text = args[1].toUpperCase();
        
        // Verschluesseln und ausgeben
        System.out.println(crypt(key, text));
    }
  
  
  
    /**
     * Verschlsselt den Text mit dem Verschiebungsschlssel und gibt in als String zurck.
     * 
     * @param key  Der Verschiebungsschlssel.
     * @param text  Der zu verschlsselnde Text.
     */
  
    public static String crypt(int key, String text) {
        int p = 0;
        int c = 0;
        StringBuffer result = new StringBuffer(text.length());
    
        for (int i=0; i<text.length(); i++) {
            // Bilde Buchstabencode auf 0 bis 25 ab
            p = text.charAt(i) - 'A';
      
            // Verschluesselung
            c = (p + key) % 26;
            if (c < 0) c += 26;
                // Bilde Buchstabencode wieder auf ASCII-Code ab.
                result.append((char) (c + 'A'));
        }
    
        // Ergebnisrueckgabe
        return result.toString();
    }


}
