
/**
 * Die Klasse LetterCounter2 zhlt die Buchstaben des Strings, 
 * mit welchem Sie initialisiert wird. Sie gibt die Anzahl jedes
 * Buchstabens in diesem String in alphabetischer Reihenfolge 
 * untereinander aus.
 * 
 * @author (Tobias Hennchen) 
 * @version (2007.05.13)
 */
public class LetterCounter2
{
    
    /**
     * Main Methode.
     * 
     * @param args  Der Array enthlt den zu bearbeitenden Text.
     */
    
     public static void main(String[] args) {
         printCounterArray(count(args));
     }
    
     /**
     * Zhlt alle Vorkommen eines Buchstabens im Klassenattribut "text".
     * 
     * @param text  Der Array enthlt den zu bearbeitenden Text.
     * @return      Einen int-Array der pro vorhandenem Buchstaben ein Vorkommen hat.
     */
    public static int[] count(String[] text){
        
       int[] lettersCounter = new int[26];
        
        for (int i =0; i < text.length; i++){
          String word;
          word = text[i].toUpperCase();
          
          for (int j=0; j < word.length(); j++){
            lettersCounter[word.charAt(j) - 'A']++;
            }
        }
        return lettersCounter;
        
    }
    
    /**
     * Gibt ein bergebenes int-Array aus. Der Index "0" entspricht dem
     * Buchstaben "A" und der Index "26" entspricht dem Buchstaben "Z". 
     * Die Werte des Arrays ensprechen dem Vorkommen des bergebenem Arguments.
     * Ausgabe erfolgt untereinander.
     * 
     * @param letterCounters  Der Array enthlt die Buchstabenvorkommen.
     */
    public static void printCounterArray(int[] lettersCounter){
    
        for (int i = 0; i<lettersCounter.length; i++){
            if (lettersCounter[i] > 0){
                System.out.println( (char)(i + 'A') + " : " + lettersCounter[i]);
            }
        }
    
    }

}
